Doomsday Engine - Bug #1999

Window focus/close events ignored during busy mode (should defer)
2015-03-18 15:25 - vermil

Status: New Start date: 2015-03-18
Priority: Normal % Done: 0%
Assignee:

Category: User experience

Target version: Input and game controllers

Description

Dday currently pauses if the window looses focus during gameplay. However, it doesn't pause if it looses focus during loading (i.e
loading a map).

History

#1 - 2015-03-18 15:27 - vermil

By which | mean, it would be cool if it paused the game immediately upon loading completing, rather than pausing loading, obviously.

#2 - 2015-03-19 10:03 - danij

Similar to quiting while in busy mode, this should be handled by deferring the action (in this case pausing the game) until busy mode ends. Presently
if one attempts to quit during busy mode - the request is ignored because we cannot robustly interrupt a busy task to perform the quit immediately.
Ideally the users action would be queued (FIFO) and performed later.

#3 - 2015-03-19 18:00 - skyjake
- Tags set to WindowManager, Input
- Subject changed from Pause if focus lost during busy mode to Window focus/close events ignored during busy mode (should defer)

- Category set to User experience

#4 - 2017-04-03 13:55 - skyjake

- Target version set to Input and game controllers
